[arch-commits] Commit in gstreamer0.10-ugly-plugins/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Oct 6 17:06:25 EDT 2008


    Date: Monday, October 6, 2008 @ 17:06:24
  Author: jgc
Revision: 14450

upgpkg: gstreamer0.10-ugly-plugins 0.10.9-1

Modified:
  gstreamer0.10-ugly-plugins/trunk/PKGBUILD

----------+
 PKGBUILD |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-06 20:56:34 UTC (rev 14449)
+++ PKGBUILD	2008-10-06 21:06:24 UTC (rev 14450)
@@ -2,12 +2,12 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gstreamer0.10-ugly-plugins
-pkgver=0.10.8
+pkgver=0.10.9
 pkgrel=1
 pkgdesc="GStreamer Multimedia Framework Ugly Plugins (gst-plugins-ugly)"
 arch=(i686 x86_64)
 license=('LGPL')
-depends=("gstreamer0.10-ugly>=${pkgver}" 'libdvdread' 'lame' 'libmpeg2' 'a52dec' 'libid3tag' 'libmad' 'libsidplay')
+depends=("gstreamer0.10-ugly>=${pkgver}" 'libdvdread>=0.9.7' 'lame>=3.98.2' 'libmpeg2>=0.5.1' 'a52dec>=0.7.4' 'libid3tag>=0.15.1b' 'libmad>=0.15.1b' 'libsidplay>=1.36.59' 'libcdio>=0.80')
 makedepends=('pkgconfig')
 replaces=('gstreamer0.10-dvdread' 'gstreamer0.10-mpeg2dec' 'gstreamer0.10-mad' 'gstreamer0.10-lame' 'gstreamer0.10-sidplay' 'gstreamer0.10-a52dec')
 conflicts=('gstreamer0.10-dvdread' 'gstreamer0.10-mpeg2dec' 'gstreamer0.10-mad' 'gstreamer0.10-lame' 'gstreamer0.10-sidplay' 'gstreamer0.10-a52dec')
@@ -17,10 +17,10 @@
 _relname=gst-plugins-ugly
 options=(!libtool)
 source=(${url}/src/${_relname}/${_relname}-${pkgver}.tar.bz2)
-md5sums=('090d87a1716eee45a9804ca8558668da')
+md5sums=('07a0b04875dea00fe90fd43b58ee9f39')
 
 build() {
-  cd ${startdir}/src/${_relname}-${pkgver}
+  cd "${srcdir}/${_relname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
     --disable-static --enable-experimental \
     --disable-docs-build --disable-plugin-docs \
@@ -28,5 +28,5 @@
     --with-package-origin="http://www.archlinux.org/" || return 1
 
   make || return 1
-  make -C ext DESTDIR=${startdir}/pkg install || return 1
+  make -C ext DESTDIR="${pkgdir}" install || return 1
 }




More information about the arch-commits mailing list